edu.northwestern.at.utils.logger

## Interface UsesLogger

- All Known Implementing Classes:
    AbstractContextualSmoother, AbstractContractionExpander, AbstractLanguageRecognizer, AbstractLemmatizer, AbstractLexicalSmoother, AbstractLexicon, AbstractNameRecognizer, AbstractNameStandardizer, AbstractPartOfSpeechGuesser, AbstractPartOfSpeechTagger, AbstractPostTokenizer, AbstractPreTokenizer, AbstractSentenceSplitter, AbstractSpellingMapper, AbstractSpellingStandardizer, AbstractStemmerLemmatizer, AbstractTextSegmenter, AbstractTextSummarizer, AbstractThesaurus, AbstractWordTokenizer, AdditiveContextualSmoother, AdditiveLexicalSmoother, AffixTagger, AllUnknownTagger, ApostrophesAreNotQuotesWordTokenizer, BaseLexicon, BigramHybridTagger, BigramTagger, C99TextSegmenter, ContractionTokenizer, CybozuLabsLanguageRecognizer, DecruftifyingSpellingStandardizer, DefaultContextualSmoother, DefaultContractionExpander, DefaultLanguageRecognizer, DefaultLemmatizer, DefaultLexicalSmoother, DefaultLexicon, DefaultNameRecognizer, DefaultNameStandardizer, DefaultPartOfSpeechGuesser, DefaultPartOfSpeechRetagger, DefaultPartOfSpeechTagger, DefaultPostTokenizer, DefaultPreTokenizer, DefaultSentenceSplitter, DefaultSpellingStandardizer, DefaultSuffixLexicon, DefaultTextSegmenter, DefaultTextSummarizer, DefaultThesaurus, DefaultTransitionMatrix, DefaultWordLexicon, DefaultWordTokenizer, DeletedInterpolationContextualSmoother, EccoPostTokenizer, EccoPreTokenizer, EEBOPostTokenizer, EEBOPreTokenizer, EEBOWordTokenizer, EnglishContractionExpander, EnglishLemmatizer, ExtendedSearchSpellingStandardizer, ExtendedSimpleSpellingStandardizer, HeppleTagger, ICU4JBreakIteratorSentenceSplitter, ICU4JBreakIteratorWordTokenizer, IRetagger, LancasterStemmerLemmatizer, NoopPreTokenizer, NoopRetagger, NoopSpellingStandardizer, NoopWordTokenizer, PennTreebankPartOfSpeechTagger, PennTreebankSuffixLexicon, PennTreebankTokenizer, PennTreebankTransitionMatrix, PennTreebankWordLexicon, PorterStemmerLemmatizer, ProperNounRetagger, RegexpTagger, RuleBasedLemmatizer, SimpleRuleBasedTagger, SimpleSpellingStandardizer, SimpleTagger, SimpleTextSummarizer, SuffixTagger, TCPRetagger, TextTilingTextSegmenter, TransitionMatrix, TrigramHybridTagger, TrigramTagger, UnigramTagger, WhitespaceWordTokenizer, WordnetThesaurus

      public interface UsesLogger

  Interface for using a logger.

  A class which uses a logger can implement this interface to standardize on the methods for getting and setting a logger.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Logger` | `getLogger()` Get the logger.
    `void` | `setLogger(Logger logger)` Set the logger.

- - ### Method Detail

    - #### getLogger

          Logger getLogger()

      Get the logger.
      Returns:
        The logger.

    - #### setLogger

          void setLogger(Logger logger)

      Set the logger.
      Parameters:
        `logger` - The logger.